::compiler for toolAlite by kuyagaol
@echo off
color %warnabaru%
cls
echo  ^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^>^> toolAlite.9o ^<^<^<
echo  ===============================================================================
echo.
echo. ^>^> %~n1.apk
echo.
echo. ...Checking and removing previous build folder
if exist "..\projects\%~n1.apk\build" rmdir /S /Q "..\projects\%~n1.apk\build"
echo.
echo. ...Checking and removing previous output apk
if exist "..\output_apk\Signed%~n1.apk" del /Q "..\output_apk\Signed%~n1.apk"
if exist "..\output_apk\Unsigned%~n1.apk" del /Q "..\output_apk\Unsigned%~n1.apk"
if exist "..\output_apk\%~n1.apk" del /Q "..\output_apk\%~n1.apk"
echo.
echo. ...Building %~n1.apk
java -Xmx%heapy%m -jar apktool.jar b "..\projects\%~n1%~x1" "..\output_apk\Unsigned%~n1%~x1"
if errorlevel 1 goto errorcom
goto quit
:errorcom
set /A error+=1
:quit